> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://docs.partnerpage.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.partnerpage.io/_mcp/server.

# Get all segment certifications

GET https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/{entryId}/segment_certifications/

Return the partner entry segment certifications

Reference: https://docs.partnerpage.io/api-reference/entry/partner-entry/certifications-segment/get-all-segment-certifications

## Authentication

- `Authorization` header (required) (prefixed with ` Token   `) — Your API key, sent as `Authorization: Token <your API key>`

## Request

### Path parameters

- `entryId` (string, required) — ID of the partner entry

## Response

### 200

Successful operation

- `list of AssignedSegmentCertificationSerializerReader`

## Types

### AssignedSegmentCertificationSerializerReader

All resources should return their href url

- `href` (string, required)
- `id` (string, required)
- `title` (string, required)
- `order` (integer, required)
- `quantity` (integer, required)
- `certification` (any, required)

## Examples

**Response**

```json
[
  {
    "href": "string",
    "id": "string",
    "title": "string",
    "order": 1,
    "quantity": 1
  }
]
```

**SDK Code**

```python
import requests

url = "https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/entryId/segment_certifications/"

headers = {"Authorization": "Token  <apiKey>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://v1.api.partnerpage.io/api/directory/private/v1alpha/entries/partners/entryId/segment_certifications/';
const options = {method: 'GET', headers: {Authorization: 'Token  <apiKey>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```